Subject: bug#39347: 28.0.50; iso8601-parse can't handle all legal date values?

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 30 Jan 2020 00:28:18 +0100

Eric Abrahamsen <[email-masked]> writes:

> I sure hope so! Anyway, looks like the library is correct, and I just
> get to decide if I want to support deprecated forms that might be sent
> by someone's random outdated carddav server. Bleagh.

I think we could extend the library to handle those forms -- if they
aren't ambiguous.  (I seem to vaguely remember that there were some
forms that were ambiguous when shortened, but I don't remember the
details.)

Do you have a pointer to the 2000 version of the ISO8601 standard?  I
could have a peek.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no